LLVM: lldb::SBFileSpecList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBFileSpecList Class Reference

`#include <SBFileSpecList.h>`

## Public Member Functions
| SBFileSpecList ()
| SBFileSpecList (const lldb::SBFileSpecList &rhs)
| ~SBFileSpecList ()
const SBFileSpecList & | operator= (const lldb::SBFileSpecList &rhs)
uint32_t | GetSize () const
bool | GetDescription (SBStream &description) const
void | Append (const SBFileSpec &sb_file)
bool | AppendIfUnique (const SBFileSpec &sb_file)
void | Clear ()
uint32_t | FindFileIndex (uint32_t idx, const SBFileSpec &sb_file, bool full)
const SBFileSpec | GetFileSpecAtIndex (uint32_t idx) const

## Friends
class | SBTarget

## Detailed Description

Definition at line 17 of file SBFileSpecList.h.

## Constructor & Destructor Documentation

lldb::SBFileSpecList::SBFileSpecList | ( |  | ) |

lldb::SBFileSpecList::SBFileSpecList | ( | const lldb::SBFileSpecList & | rhs | ) |

lldb::SBFileSpecList::~SBFileSpecList | ( |  | ) |

## Member Function Documentation

void lldb::SBFileSpecList::Append | ( | const SBFileSpec & | sb_file | ) |

bool lldb::SBFileSpecList::AppendIfUnique | ( | const SBFileSpec & | sb_file | ) |

void lldb::SBFileSpecList::Clear | ( |  | ) |

uint32_t lldb::SBFileSpecList::FindFileIndex | ( | uint32_t | idx,
|  | const SBFileSpec & | sb_file,
|  | bool | full
| ) |  |

bool lldb::SBFileSpecList::GetDescription | ( | SBStream & | description | ) | const

const SBFileSpec lldb::SBFileSpecList::GetFileSpecAtIndex | ( | uint32_t | idx | ) | const

uint32_t lldb::SBFileSpecList::GetSize | ( |  | ) | const

const SBFileSpecList& lldb::SBFileSpecList::operator= | ( | const lldb::SBFileSpecList & | rhs | ) |

## Friends And Related Function Documentation

friend class SBTarget
| friend

Definition at line 52 of file SBFileSpecList.h.

The documentation for this class was generated from the following file:

- SBFileSpecList.h